(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    552779,      10816]
NotebookOptionsPosition[    550022,      10762]
NotebookOutlinePosition[    550456,      10779]
CellTagsIndexPosition[    550413,      10776]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8151268426415677`*^9, 3.8151268453442554`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"cfefd564-2c30-411d-bc5b-fe0aeb4fd85d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"arbol", "=", 
  RowBox[{"Graph", "[", 
   RowBox[{
    RowBox[{"AristasCombinatoricaToWolframSystem", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "\"\<     \>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "\"\<      \>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"h", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"h", ",", "j"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "\"\<\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "\"\< \>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "k"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "l"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "n"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "\"\<  \>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "\"\<   \>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "o"}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"VertexLabels", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"EdgeStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"d", "\[UndirectedEdge]", "\"\<\>\""}], "\[Rule]", 
        "Transparent"}], ",", 
       RowBox[{
        RowBox[{"i", "\[UndirectedEdge]", "\"\< \>\""}], "\[Rule]", 
        "Transparent"}], ",", 
       RowBox[{
        RowBox[{"f", "\[UndirectedEdge]", "\"\<  \>\""}], "\[Rule]", 
        "Transparent"}], ",", 
       RowBox[{
        RowBox[{"g", "\[UndirectedEdge]", "\"\<   \>\""}], "\[Rule]", 
        "Transparent"}], ",", 
       RowBox[{
        RowBox[{"b", "\[UndirectedEdge]", "\"\<     \>\""}], "\[Rule]", 
        "Transparent"}], ",", 
       RowBox[{
        RowBox[{"c", "\[UndirectedEdge]", "\"\<      \>\""}], "\[Rule]", 
        "Transparent"}]}], "}"}]}], ",", 
    RowBox[{"VertexSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<\>\"", "\[Rule]", "0.0000000"}], ",", 
       RowBox[{"\"\< \>\"", "\[Rule]", "0.0000000"}], ",", 
       RowBox[{"\"\<  \>\"", "\[Rule]", "0.0000000"}], ",", 
       RowBox[{"\"\<   \>\"", "\[Rule]", "0.0000000"}], ",", 
       RowBox[{"\"\<     \>\"", "\[Rule]", "0.0000000"}], ",", 
       RowBox[{"\"\<      \>\"", "\[Rule]", "0.0000000"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8151308089167523`*^9, 3.8151311255398703`*^9}, {
   3.8151311929572673`*^9, 3.815131230075717*^9}, {3.8151312888684635`*^9, 
   3.8151313744629335`*^9}, {3.8151340441515923`*^9, 3.815134092390551*^9}, {
   3.8151341728544917`*^9, 3.8151344787236013`*^9}, {3.8151345575749264`*^9, 
   3.815134626394536*^9}, {3.815134657358691*^9, 3.815134785469515*^9}, 
   3.8151369315756493`*^9, {3.8151541723043923`*^9, 3.81515417523182*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"7610b8b6-6de7-4378-b01f-6dc7de1db106"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
       "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
       "", $CellContext`e, 
       " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 9}, {
       6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 16}, {13, 
       17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
      EdgeStyle -> {
        UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
         UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
         UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
         UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
         UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
         UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
       VertexLabels -> {Automatic}, 
       VertexSize -> {
        "   " -> 0., "      " -> 0., " " -> 0., "  " -> 0., "" -> 0., "     " -> 
         0.}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{2.2788446737788646`, 4.143353952325208}, {
         1.2430061856975625`, 3.3146831618601666`}}], 
        LineBox[{{2.2788446737788646`, 4.143353952325208}, {
         3.3146831618601666`, 3.3146831618601666`}}], 
        LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
         0.8286707904650417, 2.486012371395125}}], 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
          1.6573415809300833`, 2.486012371395125}}]}, 
        LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
         2.900347766627646, 2.486012371395125}}], 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
          3.7290185570926875`, 2.486012371395125}}]}, 
        LineBox[{{0.8286707904650417, 2.486012371395125}, {
         0.41433539523252083`, 1.6573415809300833`}}], 
        LineBox[{{0.8286707904650417, 2.486012371395125}, {
         1.2430061856975625`, 1.6573415809300833`}}], 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{2.900347766627646, 2.486012371395125}, {2.486012371395125, 
          1.6573415809300833`}}]}, 
        LineBox[{{2.900347766627646, 2.486012371395125}, {3.3146831618601666`,
          1.6573415809300833`}}], 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
          0.8286707904650417}}]}, 
        LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
         0.8286707904650417, 0.8286707904650417}}], 
        LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
         2.486012371395125, 0.8286707904650417}}], 
        LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
         4.143353952325208, 0.8286707904650417}}], 
        LineBox[{{0.8286707904650417, 0.8286707904650417}, {
         0.41433539523252083`, 0.}}], 
        LineBox[{{0.8286707904650417, 0.8286707904650417}, {
         1.2430061856975625`, 0.}}], 
        LineBox[{{2.486012371395125, 0.8286707904650417}, {2.071676976162604, 
         0.}}], 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{2.486012371395125, 0.8286707904650417}, {2.900347766627646,
           0.}}]}, 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{4.143353952325208, 0.8286707904650417}, {
          3.7290185570926875`, 0.}}]}, 
        LineBox[{{4.143353952325208, 0.8286707904650417}, {4.557689347557729, 
         0.}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.2788446737788646, 4.143353952325208}, 
          0.040457113059187116], 
         InsetBox["a", Offset[{2, 2}, {2.319301786838052, 4.183811065384395}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2430061856975625, 3.3146831618601666}, 
          0.040457113059187116], 
         InsetBox["b", 
          Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.3146831618601666, 3.3146831618601666}, 
          0.040457113059187116], 
         InsetBox["c", Offset[{2, 2}, {3.355140274919354, 3.355140274919354}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8286707904650417, 2.486012371395125}, 
          0.040457113059187116], 
         InsetBox["h", 
          Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
         InsetBox["\<\"     \"\>", 
          Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.900347766627646, 2.486012371395125}, 
          0.040457113059187116], 
         InsetBox["d", 
          Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
         InsetBox["\<\"      \"\>", 
          Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.41433539523252083, 1.6573415809300833}, 
          0.040457113059187116], 
         InsetBox["i", 
          Offset[{2, 2}, {0.4547925082917079, 1.6977986939892704}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2430061856975625, 1.6573415809300833}, 
          0.040457113059187116], 
         InsetBox["j", 
          Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.3146831618601666, 1.6573415809300833}, 
          0.040457113059187116], 
         InsetBox["e", 
          Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
         InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8286707904650417, 0.8286707904650417}, 
          0.040457113059187116], 
         InsetBox["k", 
          Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.486012371395125, 0.8286707904650417}, 
          0.040457113059187116], 
         InsetBox["f", 
          Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.143353952325208, 0.8286707904650417}, 
          0.040457113059187116], 
         InsetBox["g", 
          Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.41433539523252083, 0.}, 0.040457113059187116], 
         InsetBox["l", 
          Offset[{2, 2}, {0.4547925082917079, 0.040457113059187116}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
         InsetBox["m", 
          Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
         InsetBox["n", 
          Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
         InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
         InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
         InsetBox["o", 
          Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None]], "Output",
 CellChangeTimes->{
  3.8151544678045626`*^9, 3.815155866272709*^9, {3.815213853401869*^9, 
   3.815213858450696*^9}, 3.815219538869982*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"15927663-a017-4b3c-99ef-8f9fa7405b44"]
}, Open  ]],

Cell["Orden inicial:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 
  3.8151378549324846`*^9}},ExpressionUUID->"cdda62a7-59fe-40aa-ae44-\
269d2aee32c7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "h", ",", "i", ",", "k", ",", "l", ",", "m", ",", "j",
      ",", "c", ",", "d", ",", "e", ",", "f", ",", "n", ",", "g", ",", "o"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8151369076414623`*^9, 3.8151369179666204`*^9}, {
  3.81513701451849*^9, 3.815137038168178*^9}, {3.815137070748028*^9, 
  3.815137162764141*^9}, {3.815137193414852*^9, 3.8151371941129093`*^9}, {
  3.815137268847743*^9, 3.815137329316506*^9}, {3.815137364189252*^9, 
  3.8151374408725533`*^9}, {3.8151374789519663`*^9, 3.815137504553839*^9}, {
  3.815137537859736*^9, 3.815137589861252*^9}, {3.8151376661057205`*^9, 
  3.8151376879800835`*^9}, {3.8151377707507677`*^9, 3.8151378098817663`*^9}, {
  3.8151538400326767`*^9, 3.815153859224228*^9}, {3.815154200305792*^9, 
  3.8151542135485353`*^9}, {3.8151542500692472`*^9, 3.8151542633746166`*^9}, {
  3.815154338842722*^9, 3.8151543408876486`*^9}, {3.815154401600098*^9, 
  3.815154403028714*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"11bc88d0-6ca9-4a8d-8fbb-28da41a5f627"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`a}, GraphHighlightStyle -> {"Thick"},
          ImagePadding -> 10, 
         VertexLabels -> {Automatic, $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`a -> "Square"}, 
         VertexSize -> {$CellContext`a -> Medium, "   " -> 0., "      " -> 0.,
            " " -> 0., "  " -> 0., "" -> 0., "     " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["i", 
            Offset[{2, 2}, {0.4547925082917079, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["k", 
            Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 0.}, 0.040457113059187116], 
           InsetBox["l", 
            Offset[{2, 2}, {0.4547925082917079, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`b, $CellContext`a}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`a -> 
           "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`b -> Medium, 
           "     " -> 0., "      " -> 0., " " -> 0., "   " -> 0., "  " -> 
           0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["i", 
            Offset[{2, 2}, {0.4547925082917079, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["k", 
            Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 0.}, 0.040457113059187116], 
           InsetBox["l", 
            Offset[{2, 2}, {0.4547925082917079, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`h, $CellContext`b, $CellContext`a}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`a -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`h -> 
           "Square", $CellContext`a -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`b -> Medium, 
           "     " -> 0., "      " -> 0., " " -> 0., "   " -> 0., "  " -> 
           0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["i", 
            Offset[{2, 2}, {0.4547925082917079, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["k", 
            Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 0.}, 0.040457113059187116], 
           InsetBox["l", 
            Offset[{2, 2}, {0.4547925082917079, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`h, $CellContext`b, $CellContext`i, \
$CellContext`a}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`i -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`h -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`b -> Medium, 
           "     " -> 0., $CellContext`i -> Medium, "      " -> 0., " " -> 0.,
            "   " -> 0., "  " -> 0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["k", 
            Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 0.}, 0.040457113059187116], 
           InsetBox["l", 
            Offset[{2, 2}, {0.4547925082917079, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`h, $CellContext`b, $CellContext`i, \
$CellContext`a, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`i -> "Name", $CellContext`a -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`h -> 
           "Square", $CellContext`k -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., "  " -> 
           0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 0.}, 0.040457113059187116], 
           InsetBox["l", 
            Offset[{2, 2}, {0.4547925082917079, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`h, $CellContext`l, $CellContext`b, \
$CellContext`i, $CellContext`a, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`h -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> Medium, 
           "     " -> 0., $CellContext`i -> Medium, "      " -> 0., " " -> 0.,
            "   " -> 0., "  " -> 0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`h, $CellContext`l, $CellContext`b, \
$CellContext`i, $CellContext`m, $CellContext`a, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`m -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name", $CellContext`a -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., "  " -> 
           0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`m, $CellContext`a, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`m -> "Name", $CellContext`j -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`j -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`i, $CellContext`m, \
$CellContext`a, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`b -> 
           "Name", $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name", $CellContext`a -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`c -> 
           "Square", $CellContext`b -> "Square", $CellContext`h -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`j -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`c -> Medium, $CellContext`h -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`a, $CellContext`h, $CellContext`m, \
$CellContext`d, $CellContext`b, $CellContext`k, $CellContext`l, \
$CellContext`i, $CellContext`c, $CellContext`j}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`c -> 
           "Name", $CellContext`l -> "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> 
           "Square", $CellContext`l -> "Square", $CellContext`c -> 
           "Square", $CellContext`d -> "Square", $CellContext`k -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`j -> Medium, $CellContext`k -> 
           Medium, $CellContext`a -> Medium, "   " -> 0., "      " -> 
           0., $CellContext`h -> Medium, $CellContext`c -> Medium, "" -> 
           0., $CellContext`m -> Medium, " " -> 0., $CellContext`d -> 
           Medium, $CellContext`b -> Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`i, $CellContext`c, $CellContext`j}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`e -> "Name", $CellContext`k -> 
           "Name", $CellContext`h -> "Name", $CellContext`d -> 
           "Name", $CellContext`j -> "Name", $CellContext`m -> 
           "Name", $CellContext`c -> "Name", $CellContext`l -> 
           "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`c -> "Square", $CellContext`d -> 
           "Square", $CellContext`k -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, $CellContext`c -> 
           Medium, "" -> 0., $CellContext`m -> Medium, " " -> 
           0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`i, $CellContext`c, $CellContext`j, \
$CellContext`f}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`e -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`c -> 
           "Name", $CellContext`l -> "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`c -> "Square", $CellContext`d -> 
           "Square", $CellContext`k -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, $CellContext`c -> 
           Medium, "" -> 0., $CellContext`m -> Medium, " " -> 
           0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`i, $CellContext`c, $CellContext`j, \
$CellContext`n, $CellContext`f}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`k -> 
           "Name", $CellContext`h -> "Name", $CellContext`d -> 
           "Name", $CellContext`j -> "Name", $CellContext`m -> 
           "Name", $CellContext`c -> "Name", $CellContext`l -> 
           "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`m -> 
           "Square", $CellContext`b -> "Square", $CellContext`e -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> 
           "Square", $CellContext`l -> "Square", $CellContext`c -> 
           "Square", $CellContext`d -> "Square", $CellContext`k -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, $CellContext`c -> 
           Medium, "" -> 0., $CellContext`m -> Medium, $CellContext`n -> 
           Medium, " " -> 0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`g, $CellContext`i, $CellContext`c, \
$CellContext`j, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`k -> 
           "Name", $CellContext`h -> "Name", $CellContext`d -> 
           "Name", $CellContext`j -> "Name", $CellContext`m -> 
           "Name", $CellContext`c -> "Name", $CellContext`l -> 
           "Name", $CellContext`a -> "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`m -> 
           "Square", $CellContext`b -> "Square", $CellContext`e -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> 
           "Square", $CellContext`l -> "Square", $CellContext`c -> 
           "Square", $CellContext`d -> "Square", $CellContext`g -> 
           "Square", $CellContext`k -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, $CellContext`c -> 
           Medium, "" -> 0., $CellContext`m -> Medium, $CellContext`n -> 
           Medium, " " -> 0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`g -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`g, $CellContext`i, $CellContext`c, \
$CellContext`j, $CellContext`o, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`o -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`c -> 
           "Name", $CellContext`l -> "Name", $CellContext`a -> 
           "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`c -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`k -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, $CellContext`c -> 
           Medium, "" -> 0., $CellContext`m -> Medium, $CellContext`n -> 
           Medium, " " -> 0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`g -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8151370418406143`*^9, 3.8151370868003454`*^9, {3.81513713211423*^9, 
   3.815137163668313*^9}, {3.8151372948512044`*^9, 3.8151373302345715`*^9}, 
   3.815137442351509*^9, 3.815137505618108*^9, {3.815137568260108*^9, 
   3.81513759064495*^9}, {3.8151377851512465`*^9, 3.8151378108167048`*^9}, 
   3.815153606760556*^9, 3.8151539209588976`*^9, 3.8151540563757105`*^9, {
   3.815154190279518*^9, 3.81515424369839*^9}, {3.8151544610781918`*^9, 
   3.815154471616521*^9}, {3.815213876203571*^9, 3.815213880253343*^9}, 
   3.815219542119896*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"923e7a2a-c733-4d92-84c3-80138bf28f45"]
}, Open  ]],

Cell["Orden intermedio:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 
  3.8151378674317093`*^9}},ExpressionUUID->"8086b07a-9f26-4c6b-bf5b-\
45128c510f40"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "i", ",", "l", ",", "k", ",", "m", ",", "h", ",", "j", ",", "b", ",", "a",
      ",", "d", ",", "n", ",", "f", ",", "e", ",", "g", ",", "o", ",", "c"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.81513782213334*^9, 3.815137826785131*^9}, {
   3.815154089489049*^9, 3.8151541036799507`*^9}, 3.815154276944585*^9, 
   3.815154452238847*^9},
 CellLabel->"In[15]:=",ExpressionUUID->"493a15b1-0e48-472f-bd1c-bd232ccd1d3d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`i}, GraphHighlightStyle -> {"Thick"},
          ImagePadding -> 10, 
         VertexLabels -> {Automatic, $CellContext`i -> "Name"}, 
         VertexShapeFunction -> {$CellContext`i -> "Square"}, 
         VertexSize -> {
          "   " -> 0., "      " -> 0., " " -> 0., $CellContext`i -> Medium, 
           "  " -> 0., "" -> 0., "     " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["k", 
            Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 0.}, 0.040457113059187116], 
           InsetBox["l", 
            Offset[{2, 2}, {0.4547925082917079, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l, $CellContext`i}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`l -> "Name", $CellContext`i -> "Name"}, 
         VertexShapeFunction -> {$CellContext`l -> "Square", $CellContext`i -> 
           "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., "  " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["k", 
            Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l, $CellContext`i, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`k -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name"}, 
         VertexShapeFunction -> {$CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> Medium, 
           "     " -> 0., $CellContext`i -> Medium, "      " -> 0., " " -> 0.,
            "   " -> 0., "  " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l, $CellContext`i, $CellContext`m, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., "  " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`h, $CellContext`l, $CellContext`i, \
$CellContext`m, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`h -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., "  " -> 
           0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`l, \
$CellContext`i, $CellContext`m, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`h -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`j -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, 
             {0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`m, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`m -> "Name", $CellContext`j -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`j -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, $CellContext`m -> Medium, 
           "     " -> 0., $CellContext`i -> Medium, "      " -> 0., " " -> 0.,
            "   " -> 0., $CellContext`j -> Medium, "  " -> 0., $CellContext`h -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`m, $CellContext`a, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`m -> "Name", $CellContext`j -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`j -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`d, \
$CellContext`l, $CellContext`b, $CellContext`i, $CellContext`m, \
$CellContext`a, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`d -> "Name", $CellContext`b -> 
           "Name", $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name", $CellContext`a -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`j -> 
           "Square", $CellContext`d -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`d -> Medium, $CellContext`h -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`a, $CellContext`h, $CellContext`m, \
$CellContext`d, $CellContext`b, $CellContext`k, $CellContext`l, \
$CellContext`i, $CellContext`j, $CellContext`n}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`n -> "Name", $CellContext`k -> 
           "Name", $CellContext`h -> "Name", $CellContext`d -> 
           "Name", $CellContext`j -> "Name", $CellContext`m -> 
           "Name", $CellContext`l -> "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`m -> 
           "Square", $CellContext`b -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`d -> "Square", $CellContext`k -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`j -> Medium, $CellContext`k -> 
           Medium, $CellContext`a -> Medium, "   " -> 0., "      " -> 
           0., $CellContext`h -> Medium, "" -> 0., $CellContext`m -> 
           Medium, $CellContext`n -> Medium, " " -> 0., $CellContext`d -> 
           Medium, $CellContext`b -> Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, 
             {2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`a, $CellContext`h, $CellContext`m, \
$CellContext`d, $CellContext`b, $CellContext`k, $CellContext`l, \
$CellContext`i, $CellContext`j, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`l -> 
           "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`m -> 
           "Square", $CellContext`b -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`d -> "Square", $CellContext`k -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`j -> Medium, $CellContext`k -> 
           Medium, $CellContext`a -> Medium, "   " -> 0., "      " -> 
           0., $CellContext`h -> Medium, "" -> 0., $CellContext`m -> 
           Medium, $CellContext`n -> Medium, " " -> 0., $CellContext`d -> 
           Medium, $CellContext`b -> Medium, $CellContext`f -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`i, $CellContext`j, $CellContext`n, \
$CellContext`f}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`k -> 
           "Name", $CellContext`h -> "Name", $CellContext`d -> 
           "Name", $CellContext`j -> "Name", $CellContext`m -> 
           "Name", $CellContext`l -> "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`m -> 
           "Square", $CellContext`b -> "Square", $CellContext`e -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> 
           "Square", $CellContext`l -> "Square", $CellContext`d -> 
           "Square", $CellContext`k -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, "" -> 
           0., $CellContext`m -> Medium, $CellContext`n -> Medium, " " -> 
           0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`g, $CellContext`i, $CellContext`j, \
$CellContext`n, $CellContext`f}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`k -> 
           "Name", $CellContext`h -> "Name", $CellContext`d -> 
           "Name", $CellContext`j -> "Name", $CellContext`m -> 
           "Name", $CellContext`l -> "Name", $CellContext`a -> 
           "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`m -> 
           "Square", $CellContext`b -> "Square", $CellContext`e -> 
           "Square", $CellContext`a -> "Square", $CellContext`i -> 
           "Square", $CellContext`l -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`k -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., "     " -> 
           0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, "" -> 
           0., $CellContext`m -> Medium, $CellContext`n -> Medium, " " -> 
           0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`g -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`g, $CellContext`i, $CellContext`j, \
$CellContext`o, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`o -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`l -> 
           "Name", $CellContext`a -> "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`d -> "Square", $CellContext`g -> 
           "Square", $CellContext`k -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, "" -> 
           0., $CellContext`m -> Medium, $CellContext`n -> Medium, " " -> 
           0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`g -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`g, $CellContext`i, $CellContext`c, \
$CellContext`j, $CellContext`o, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`o -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`c -> 
           "Name", $CellContext`l -> "Name", $CellContext`a -> 
           "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`c -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`k -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, $CellContext`c -> 
           Medium, "" -> 0., $CellContext`m -> Medium, $CellContext`n -> 
           Medium, " " -> 0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`g -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, 
             {2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{{3.8151378238491926`*^9, 3.8151378271047544`*^9}, 
   3.8151537236938024`*^9, 3.8151541308989005`*^9, {3.8151544395566034`*^9, 
   3.8151544781375504`*^9}, 3.8152141426368456`*^9, 3.8152195473198004`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"2fb8f3b3-3345-4ec9-9e84-8b1c6a3154a6"]
}, Open  ]],

Cell["Orden final:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 
  3.815137875682664*^9}},ExpressionUUID->"ac71b1f1-69cd-4bcf-a1c6-\
fde6e2ff5e0b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "l", ",", "m", ",", "k", ",", "i", ",", "j", ",", "h", ",", "b", ",", "n",
      ",", "f", ",", "o", ",", "g", ",", "e", ",", "d", ",", "c", ",", "a"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.815154301908739*^9, {3.8151544225212584`*^9, 3.8151544235554633`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"73253560-58ca-4eea-ad6c-b0e94356a64b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l}, GraphHighlightStyle -> {"Thick"},
          ImagePadding -> 10, 
         VertexLabels -> {Automatic, $CellContext`l -> "Name"}, 
         VertexShapeFunction -> {$CellContext`l -> "Square"}, 
         VertexSize -> {$CellContext`l -> Medium, "   " -> 0., "      " -> 0.,
            " " -> 0., "  " -> 0., "" -> 0., "     " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["i", 
            Offset[{2, 2}, {0.4547925082917079, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["k", 
            Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 0.}, 0.040457113059187116], 
           InsetBox["m", 
            Offset[{2, 2}, {1.2834632987567496, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l, $CellContext`m}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`m -> "Name", $CellContext`l -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`l -> 
           "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`m -> Medium, 
           "     " -> 0., "      " -> 0., " " -> 0., "   " -> 0., "  " -> 
           0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["i", 
            Offset[{2, 2}, {0.4547925082917079, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["k", 
            Offset[{2, 2}, {0.8691279035242288, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l, $CellContext`m, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`l -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., "      " -> 0., 
           " " -> 0., "   " -> 0., "  " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.41433539523252083, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["i", 
            Offset[{2, 2}, {0.4547925082917079, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l, $CellContext`i, $CellContext`m, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., "  " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["j", 
            Offset[{2, 2}, {1.2834632987567496, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`l, $CellContext`i, \
$CellContext`m, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`j -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8286707904650417, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["h", 
            Offset[{2, 2}, {0.8691279035242288, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`l, \
$CellContext`i, $CellContext`m, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`k -> "Name", $CellContext`m -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`h -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`j -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2430061856975625, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["b", 
            Offset[{2, 2}, {1.2834632987567496, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`m, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`m -> "Name", $CellContext`j -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`j -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, $CellContext`m -> Medium, 
           "     " -> 0., $CellContext`i -> Medium, "      " -> 0., " " -> 0.,
            "   " -> 0., $CellContext`j -> Medium, "  " -> 0., $CellContext`h -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.071676976162604, 0.}, 0.040457113059187116], 
           InsetBox["n", 
            Offset[{2, 2}, {2.1121340892217915, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`m, $CellContext`k, \
$CellContext`n}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`m -> "Name", $CellContext`j -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> 
           "Name", $CellContext`n -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`n -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`h -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["f", 
            Offset[{2, 2}, {2.5264694844543123, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`j, $CellContext`h, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`f, $CellContext`m, \
$CellContext`k, $CellContext`n}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`m -> "Name", $CellContext`j -> 
           "Name", $CellContext`l -> "Name", $CellContext`f -> 
           "Name", $CellContext`i -> "Name", $CellContext`n -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`f -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`n -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`m -> Medium, "     " -> 0., $CellContext`i -> 
           Medium, "      " -> 0., " " -> 0., "   " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`f -> Medium, $CellContext`h -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.557689347557729, 0.}, 0.040457113059187116], 
           InsetBox["o", 
            Offset[{2, 2}, {4.598146460616916, 0.040457113059187116}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`h, $CellContext`m, $CellContext`b, \
$CellContext`k, $CellContext`l, $CellContext`i, $CellContext`j, \
$CellContext`o, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`o -> "Name", $CellContext`k -> 
           "Name", $CellContext`h -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`l -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`j -> Medium, $CellContext`k -> 
           Medium, "   " -> 0., "      " -> 0., $CellContext`h -> Medium, "" -> 
           0., $CellContext`m -> Medium, $CellContext`n -> Medium, " " -> 
           0., $CellContext`b -> Medium, $CellContext`f -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, {0.48745341103044093, 1.7304595967280034}]}\
, InsetBox["i", Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.143353952325208, 0.8286707904650417}, 
            0.040457113059187116], 
           InsetBox["g", 
            Offset[{2, 2}, {4.183811065384395, 0.8691279035242288}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`h, $CellContext`m, $CellContext`b, \
$CellContext`k, $CellContext`l, $CellContext`g, $CellContext`i, \
$CellContext`j, $CellContext`o, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`o -> "Name", $CellContext`k -> 
           "Name", $CellContext`h -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`l -> 
           "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`g -> "Square", $CellContext`k -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`j -> Medium, $CellContext`k -> 
           Medium, "   " -> 0., "      " -> 0., $CellContext`h -> Medium, "" -> 
           0., $CellContext`m -> Medium, $CellContext`n -> Medium, " " -> 
           0., $CellContext`b -> Medium, $CellContext`f -> 
           Medium, $CellContext`g -> Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 1.6573415809300833}, 
            0.040457113059187116], 
           InsetBox["e", 
            Offset[{2, 2}, {3.355140274919354, 1.6977986939892704}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`h, $CellContext`m, \
$CellContext`b, $CellContext`k, $CellContext`l, $CellContext`g, \
$CellContext`i, $CellContext`j, $CellContext`o, $CellContext`n, \
$CellContext`f}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`o -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`j -> "Name", $CellContext`m -> 
           "Name", $CellContext`l -> "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`i -> 
           "Square", $CellContext`l -> "Square", $CellContext`g -> 
           "Square", $CellContext`k -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, "   " -> 0., "      " -> 
           0., $CellContext`h -> Medium, "" -> 0., $CellContext`m -> 
           Medium, $CellContext`n -> Medium, " " -> 0., $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`g -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.900347766627646, 2.486012371395125}, 
            0.040457113059187116], 
           InsetBox["d", 
            Offset[{2, 2}, {2.940804879686833, 2.5264694844543123}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`h, $CellContext`m, \
$CellContext`d, $CellContext`b, $CellContext`k, $CellContext`l, \
$CellContext`g, $CellContext`i, $CellContext`j, $CellContext`o, \
$CellContext`n, $CellContext`f}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`o -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`l -> 
           "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`i -> 
           "Square", $CellContext`l -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`k -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, "   " -> 0., "      " -> 
           0., $CellContext`h -> Medium, "" -> 0., $CellContext`m -> 
           Medium, $CellContext`n -> Medium, " " -> 0., $CellContext`d -> 
           Medium, $CellContext`b -> Medium, $CellContext`f -> 
           Medium, $CellContext`g -> Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3146831618601666, 3.3146831618601666}, 
            0.040457113059187116], 
           InsetBox["c", 
            Offset[{2, 2}, {3.355140274919354, 3.355140274919354}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, 
             {1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`h, $CellContext`m, \
$CellContext`d, $CellContext`b, $CellContext`k, $CellContext`l, \
$CellContext`g, $CellContext`i, $CellContext`c, $CellContext`j, \
$CellContext`o, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`o -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`c -> 
           "Name", $CellContext`l -> "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`i -> 
           "Square", $CellContext`l -> "Square", $CellContext`c -> 
           "Square", $CellContext`d -> "Square", $CellContext`g -> 
           "Square", $CellContext`k -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, "   " -> 0., "      " -> 
           0., $CellContext`h -> Medium, $CellContext`c -> Medium, "" -> 
           0., $CellContext`m -> Medium, $CellContext`n -> Medium, " " -> 
           0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`g -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.2788446737788646, 4.143353952325208}, 
            0.040457113059187116], 
           InsetBox["a", 
            Offset[{2, 2}, {2.319301786838052, 4.183811065384395}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, 
         "     ", $CellContext`d, "      ", $CellContext`i, $CellContext`j, 
         "", $CellContext`e, 
         " ", $CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, "  ", "   ", $CellContext`o}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {11, 14}, {11, 15}, {13, 
         16}, {13, 17}, {14, 18}, {14, 19}, {15, 20}, {15, 21}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`f, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, "   "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`b, "     "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`c, "      "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`i, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`d, ""] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`a, $CellContext`h, \
$CellContext`m, $CellContext`d, $CellContext`b, $CellContext`k, \
$CellContext`l, $CellContext`g, $CellContext`i, $CellContext`c, \
$CellContext`j, $CellContext`o, $CellContext`n, $CellContext`f}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`i -> "Name", $CellContext`b -> 
           "Name", $CellContext`f -> "Name", $CellContext`n -> 
           "Name", $CellContext`e -> "Name", $CellContext`o -> 
           "Name", $CellContext`k -> "Name", $CellContext`h -> 
           "Name", $CellContext`d -> "Name", $CellContext`j -> 
           "Name", $CellContext`m -> "Name", $CellContext`c -> 
           "Name", $CellContext`l -> "Name", $CellContext`a -> 
           "Name", $CellContext`g -> "Name"}, 
         VertexShapeFunction -> {$CellContext`h -> "Square", $CellContext`j -> 
           "Square", $CellContext`n -> "Square", $CellContext`o -> 
           "Square", $CellContext`m -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`a -> 
           "Square", $CellContext`i -> "Square", $CellContext`l -> 
           "Square", $CellContext`c -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`k -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {$CellContext`i -> Medium, "  " -> 0., $CellContext`o -> 
           Medium, "     " -> 0., $CellContext`e -> Medium, $CellContext`j -> 
           Medium, $CellContext`k -> Medium, $CellContext`a -> Medium, "   " -> 
           0., "      " -> 0., $CellContext`h -> Medium, $CellContext`c -> 
           Medium, "" -> 0., $CellContext`m -> Medium, $CellContext`n -> 
           Medium, " " -> 0., $CellContext`d -> Medium, $CellContext`b -> 
           Medium, $CellContext`f -> Medium, $CellContext`g -> 
           Medium, $CellContext`l -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           1.2430061856975625`, 3.3146831618601666`}}], 
          LineBox[{{2.2788446737788646`, 4.143353952325208}, {
           3.3146831618601666`, 3.3146831618601666`}}], 
          LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
           0.8286707904650417, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{1.2430061856975625`, 3.3146831618601666`}, {
            1.6573415809300833`, 2.486012371395125}}]}, 
          LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
           2.900347766627646, 2.486012371395125}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{3.3146831618601666`, 3.3146831618601666`}, {
            3.7290185570926875`, 2.486012371395125}}]}, 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           0.41433539523252083`, 1.6573415809300833`}}], 
          LineBox[{{0.8286707904650417, 2.486012371395125}, {
           1.2430061856975625`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.900347766627646, 2.486012371395125}, {
            2.486012371395125, 1.6573415809300833`}}]}, 
          LineBox[{{2.900347766627646, 2.486012371395125}, {
           3.3146831618601666`, 1.6573415809300833`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {0., 
            0.8286707904650417}}]}, 
          LineBox[{{0.41433539523252083`, 1.6573415809300833`}, {
           0.8286707904650417, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           2.486012371395125, 0.8286707904650417}}], 
          LineBox[{{3.3146831618601666`, 1.6573415809300833`}, {
           4.143353952325208, 0.8286707904650417}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           0.41433539523252083`, 0.}}], 
          LineBox[{{0.8286707904650417, 0.8286707904650417}, {
           1.2430061856975625`, 0.}}], 
          LineBox[{{2.486012371395125, 0.8286707904650417}, {
           2.071676976162604, 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.486012371395125, 0.8286707904650417}, {
            2.900347766627646, 0.}}]}, 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{4.143353952325208, 0.8286707904650417}, {
            3.7290185570926875`, 0.}}]}, 
          LineBox[{{4.143353952325208, 0.8286707904650417}, {
           4.557689347557729, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.2057266579809447, 4.070235936527288}, \
{2.3519626895767844, 4.216471968123129}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {2.361711752825369, 4.226221031371712}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 3.2415651460622463}, \
{1.3161242014954826, 3.387801177658087}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {1.3258732647440667, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 3.2415651460622463}, \
{3.387801177658087, 3.387801177658087}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {3.397550240906671, 3.397550240906671}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 2.4128943555972047}, \
{0.9017888062629618, 2.5591303871930453}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {0.9115378695115458, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6573415809300833, 2.486012371395125}, 0.], 
           InsetBox["\<\"     \"\>", 
            Offset[{2, 2}, {1.6573415809300833, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.8272297508297255, 2.4128943555972047}, \
{2.973465782425566, 2.5591303871930453}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {2.98321484567415, 2.5688794504416292}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.7290185570926875, 2.486012371395125}, 0.], 
           InsetBox["\<\"      \"\>", 
            Offset[{2, 2}, {3.7290185570926875, 2.486012371395125}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, 1.5842235651321632}, \
{0.48745341103044093, 1.7304595967280034}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {0.497202474279025, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, 1.5842235651321632}, \
{1.3161242014954826, 1.7304595967280034}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {1.3258732647440667, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.486012371395125, 1.6573415809300833}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {2.486012371395125, 1.6573415809300833}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.2415651460622463, 1.5842235651321632}, \
{3.387801177658087, 1.7304595967280034}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {3.397550240906671, 1.7402086599765876}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.8286707904650417}, 0.], 
           InsetBox["\<\" \"\>", Offset[{2, 2}, {0., 0.8286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7555527746671216, 0.7555527746671216}, \
{0.9017888062629618, 0.9017888062629618}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {0.9115378695115458, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.4128943555972047, 0.7555527746671216}, \
{2.5591303871930453, 0.9017888062629618}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.5688794504416292, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.070235936527288, 0.7555527746671216}, \
{4.216471968123129, 0.9017888062629618}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {4.226221031371712, 0.9115378695115458}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.34121737943460073, -0.0731180157979201}, \
{0.48745341103044093, 0.0731180157979201}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.497202474279025, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.1698881698996424, -0.0731180157979201}, \
{1.3161242014954826, 0.0731180157979201}]}, 
           InsetBox["m", 
            Offset[{2, 2}, {1.3258732647440667, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.998558960364684, -0.0731180157979201}, \
{2.1447949919605245, 0.0731180157979201}]}, 
           InsetBox["n", 
            Offset[{2, 2}, {2.1545440552091084, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{2.900347766627646, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {2.900347766627646, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{3.7290185570926875, 0.}, 0.], 
           InsetBox["\<\"   \"\>", Offset[{2, 2}, {3.7290185570926875, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.484571331759809, -0.0731180157979201}, \
{4.6308073633556495, 0.0731180157979201}]}, 
           InsetBox["o", 
            Offset[{2, 2}, {4.640556426604233, 0.08286707904650417}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{3.815137834487319*^9, 3.8151544446773844`*^9, 
  3.815154486975576*^9, 3.815214380603411*^9, 3.8152195521928062`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"873f63f2-10a7-45f0-b94b-de5b0bb13eb5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"arbolSoft", "=", 
  RowBox[{"Arbol", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "o"}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8151543513254766`*^9, 3.815154356570056*^9}, 
   3.8151548492589483`*^9},
 CellLabel->"In[19]:=",ExpressionUUID->"33e8435f-7ac7-4c93-962b-7a8def769294"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`h, \
$CellContext`d, $CellContext`i, $CellContext`j, $CellContext`e, \
$CellContext`k, $CellContext`f, $CellContext`g, $CellContext`l, \
$CellContext`m, $CellContext`n, $CellContext`o}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {3, 5}, {4, 6}, {4, 7}, {5, 8}, {6, 9}, {
       8, 10}, {8, 11}, {9, 12}, {9, 13}, {10, 14}, {11, 15}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}, 
       VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGDgA2ImKOZX+nT53Maf9oc+r9HMjxJyMNspsrIu9q09hOZ1
QJeH0EwOMHl09TD+y67z/+TY2DDUw/gweXT1EP5dewsw/dceXf4FmP4Gl0c3
D8ZH1Y9uHoz/1h67+r845V9A7bFA8TfCPAY0gC5vhqYO3T4YHyaPbh+MD5MH
AHmzvOY=
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.6059101370939322, 4.588314677411235}, 
          0.04064055188910902], 
         InsetBox["a", 
          Offset[{2, 2}, {1.6465506889830412, 4.628955229300344}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.917662935482247, 3.670651741928988}, 0.04064055188910902],
          InsetBox["b", 
          Offset[{2, 2}, {0.958303487371356, 3.7112922938180968}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2941573387056176, 3.670651741928988}, 
          0.04064055188910902], 
         InsetBox["c", 
          Offset[{2, 2}, {2.3347978905947264, 3.7112922938180968}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.917662935482247, 2.752988806446741}, 0.04064055188910902],
          InsetBox["h", Offset[{2, 2}, {0.958303487371356, 2.79362935833585}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2941573387056176, 2.752988806446741}, 
          0.04064055188910902], 
         InsetBox["d", Offset[{2, 2}, {2.3347978905947264, 2.79362935833585}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4588314677411235, 1.8353258709644944}, 
          0.04064055188910902], 
         InsetBox["i", 
          Offset[{2, 2}, {0.4994720196302325, 1.8759664228536035}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.3764944032233704, 1.8353258709644944}, 
          0.04064055188910902], 
         InsetBox["j", 
          Offset[{2, 2}, {1.4171349551124794, 1.8759664228536035}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2941573387056176, 1.8353258709644944}, 
          0.04064055188910902], 
         InsetBox["e", 
          Offset[{2, 2}, {2.3347978905947264, 1.8759664228536035}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4588314677411235, 0.9176629354822472}, 
          0.04064055188910902], 
         InsetBox["k", 
          Offset[{2, 2}, {0.4994720196302325, 0.9583034873713562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.835325870964494, 0.9176629354822472}, 
          0.04064055188910902], 
         InsetBox["f", 
          Offset[{2, 2}, {1.875966422853603, 0.9583034873713562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.7529888064467407, 0.9176629354822472}, 
          0.04064055188910902], 
         InsetBox["g", 
          Offset[{2, 2}, {2.7936293583358496, 0.9583034873713562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.04064055188910902], 
         InsetBox["l", 
          Offset[{2, 2}, {0.04064055188910902, 0.04064055188910902}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.917662935482247, 0.}, 0.04064055188910902], 
         InsetBox["m", 
          Offset[{2, 2}, {0.958303487371356, 0.04064055188910902}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.835325870964494, 0.}, 0.04064055188910902], 
         InsetBox["n", 
          Offset[{2, 2}, {1.875966422853603, 0.04064055188910902}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.7529888064467407, 0.}, 0.04064055188910902], 
         InsetBox["o", 
          Offset[{2, 2}, {2.7936293583358496, 0.04064055188910902}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.815154357299264*^9, 3.8151543805677385`*^9}, 
   3.815154492575638*^9, 3.8151547063093286`*^9, 3.815154850059148*^9, 
   3.8152195563965607`*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"40e94268-d9ca-443b-b01d-8288e1a4e9e0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Prefijo", "[", 
  RowBox[{"arbolSoft", ",", "a"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Prefijo", "[", 
  RowBox[{"arbolSoft", ",", "a", ",", 
   RowBox[{"animacion", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8151537508389835`*^9, 3.8151537757358637`*^9}, {
  3.8151546989535866`*^9, 3.8151547033860097`*^9}, {3.8151548431741505`*^9, 
  3.815154844687766*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"32ce5b9c-924a-4006-a79d-244c67c330b1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "a", ",", "b", ",", "h", ",", "i", ",", "k", ",", "l", ",", "m", ",", "j", 
   ",", "c", ",", "d", ",", "e", ",", "f", ",", "n", ",", "g", ",", "o"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.815154708795537*^9, 3.8151548528125467`*^9, 
  3.81521955933349*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"130c7bb5-5ed2-43c8-99c2-0c641ac9b3f0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "a", ",", "b", ",", "h", ",", "i", ",", "k", ",", "l", ",", "m", ",", "j", 
   ",", "c", ",", "d", ",", "e", ",", "f", ",", "n", ",", "g", ",", "o"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.8151537767641826`*^9, {3.8151543613345747`*^9, 3.815154383859062*^9}, 
   3.815154498275735*^9, 3.815154708842572*^9, 3.815154852859002*^9, 
   3.815219559382391*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[20]:=",ExpressionUUID->"303e87e1-c972-48ab-bde1-2fa20f4f4eb0"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Ai15$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Ai15$$], 1, "Nodos"}, 1, 15, 1}}, 
    Typeset`size$$ = {411.4706260446916, {320., 328.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Ai15$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`AArbolAuxiliar10, 
        Cases[VilCretas`Private`AList21, 
         Condition[
          Pattern[VilCretas`Private`Aicontador12$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Ai14, {
            VilCretas`Private`Ai14, VilCretas`Private`Ai15$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`AList21, VilCretas`Private`Aicontador12$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 10, 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Ai15$$, 1, "Nodos"}, 1, 15, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{478., {377., 385.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{
  3.8151537767641826`*^9, {3.8151543613345747`*^9, 3.815154383859062*^9}, 
   3.815154498275735*^9, 3.815154708842572*^9, 3.815154852859002*^9, 
   3.815219559417297*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[20]:=",ExpressionUUID->"34bae548-8439-4aef-a809-b34517cf3628"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Postfijo", "[", 
  RowBox[{"arbolSoft", ",", "a"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Postfijo", "[", 
  RowBox[{"arbolSoft", ",", "a", ",", 
   RowBox[{"animacion", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8151537857491713`*^9, 3.81515378620512*^9}, {
  3.815154690082574*^9, 3.8151546915510364`*^9}, {3.815154837932638*^9, 
  3.8151548401832223`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"5f4a11a2-2f99-4f91-9ae5-d9d1dd2ff1d9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "l", ",", "m", ",", "k", ",", "i", ",", "j", ",", "h", ",", "b", ",", "n", 
   ",", "f", ",", "o", ",", "g", ",", "e", ",", "d", ",", "c", ",", "a"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8151547115742292`*^9, 3.815154856625411*^9, 
  3.815219562281644*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"bb55e842-5093-4856-8a89-576a970eb980"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "l", ",", "m", ",", "k", ",", "i", ",", "j", ",", "h", ",", "b", ",", "n", 
   ",", "f", ",", "o", ",", "g", ",", "e", ",", "d", ",", "c", ",", "a"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.8151537869066343`*^9, {3.8151543650012774`*^9, 3.815154387179945*^9}, 
   3.815154501018673*^9, 3.8151547116300793`*^9, 3.8151548566767817`*^9, 
   3.8152195623135824`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[22]:=",ExpressionUUID->"405b4368-5651-40dc-92b0-8e7ee92e39d0"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Ai17$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Ai17$$], 1, "Nodos"}, 1, 15, 1}}, 
    Typeset`size$$ = {617.2059390670374, {480., 492.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Ai17$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`AArbolAuxiliar11, 
        Cases[VilCretas`Private`AList22, 
         Condition[
          Pattern[VilCretas`Private`Aicontador13$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Ai16, {
            VilCretas`Private`Ai16, VilCretas`Private`Ai17$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`AList22, VilCretas`Private`Aicontador13$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 10, 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Ai17$$, 1, "Nodos"}, 1, 15, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{714., {561.25, 573.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{
  3.8151537869066343`*^9, {3.8151543650012774`*^9, 3.815154387179945*^9}, 
   3.815154501018673*^9, 3.8151547116300793`*^9, 3.8151548566767817`*^9, 
   3.815219562332508*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[22]:=",ExpressionUUID->"2959599f-8084-4c87-924b-f6dcde609065"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"457c75e3-8c1e-4a42-b733-878409088399"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"cfefd564-2c30-411d-bc5b-fe0aeb4fd85d"],
Cell[CellGroupData[{
Cell[785, 27, 3432, 85, 678, "Input",ExpressionUUID->"7610b8b6-6de7-4378-b01f-6dc7de1db106"],
Cell[4220, 114, 9210, 190, 797, "Output",ExpressionUUID->"15927663-a017-4b3c-99ef-8f9fa7405b44"]
}, Open  ]],
Cell[13445, 307, 160, 3, 75, "Text",ExpressionUUID->"cdda62a7-59fe-40aa-ae44-269d2aee32c7"],
Cell[CellGroupData[{
Cell[13630, 314, 1780, 35, 302, "Input",ExpressionUUID->"11bc88d0-6ca9-4a8d-8fbb-28da41a5f627"],
Cell[15413, 351, 172462, 3316, 3572, "Output",ExpressionUUID->"923e7a2a-c733-4d92-84c3-80138bf28f45"]
}, Open  ]],
Cell[187890, 3670, 163, 3, 75, "Text",ExpressionUUID->"8086b07a-9f26-4c6b-bf5b-45128c510f40"],
Cell[CellGroupData[{
Cell[188078, 3677, 1178, 27, 302, "Input",ExpressionUUID->"493a15b1-0e48-472f-bd1c-bd232ccd1d3d"],
Cell[189259, 3706, 172588, 3329, 3561, "Output",ExpressionUUID->"2fb8f3b3-3345-4ec9-9e84-8b1c6a3154a6"]
}, Open  ]],
Cell[361862, 7038, 156, 3, 75, "Text",ExpressionUUID->"ac71b1f1-69cd-4bcf-a1c6-fde6e2ff5e0b"],
Cell[CellGroupData[{
Cell[362043, 7045, 1108, 26, 302, "Input",ExpressionUUID->"73253560-58ca-4eea-ad6c-b0e94356a64b"],
Cell[363154, 7073, 172797, 3342, 3548, "Output",ExpressionUUID->"873f63f2-10a7-45f0-b94b-de5b0bb13eb5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[535988, 10420, 1175, 35, 151, "Input",ExpressionUUID->"33e8435f-7ac7-4c93-962b-7a8def769294"],
Cell[537166, 10457, 5136, 112, 1010, "Output",ExpressionUUID->"40e94268-d9ca-443b-b01d-8288e1a4e9e0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[542339, 10574, 489, 9, 141, "Input",ExpressionUUID->"32ce5b9c-924a-4006-a79d-244c67c330b1"],
Cell[542831, 10585, 382, 8, 72, "Output",ExpressionUUID->"130c7bb5-5ed2-43c8-99c2-0c641ac9b3f0"],
Cell[CellGroupData[{
Cell[543238, 10597, 520, 12, 49, "Print",ExpressionUUID->"303e87e1-c972-48ab-bde1-2fa20f4f4eb0"],
Cell[543761, 10611, 2375, 52, 1164, "Print",ExpressionUUID->"34bae548-8439-4aef-a809-b34517cf3628"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[546185, 10669, 486, 9, 141, "Input",ExpressionUUID->"5f4a11a2-2f99-4f91-9ae5-d9d1dd2ff1d9"],
Cell[546674, 10680, 383, 8, 72, "Output",ExpressionUUID->"bb55e842-5093-4856-8a89-576a970eb980"],
Cell[CellGroupData[{
Cell[547082, 10692, 526, 12, 49, "Print",ExpressionUUID->"405b4368-5651-40dc-92b0-8e7ee92e39d0"],
Cell[547611, 10706, 2383, 52, 1155, "Print",ExpressionUUID->"2959599f-8084-4c87-924b-f6dcde609065"]
}, Open  ]]
}, Open  ]]
}
]
*)

